RemoteTerm (BioJava-1.5-beta API)
Keywords: org.biojava.ontology.RemoteTerm interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.ontology
Interface RemoteTerm

All Superinterfaces:
  Annotatable, Changeable, Term

All Known Implementing Classes:
  RemoteTerm.Impl

    public interface RemoteTerm

extends Term

A term in another ontology.

This is how you allow one ontology to refer to terms in another one. Since these ontologies are designed to be modular and self-contained, it is expected that you would not copy terms from one ontology into another. The best-practice way to represent terms from another ontology in your one is to use RemoteTerm instances. Ontology has a method importTerm that does this for you. By default, imported terms will have names composed from the source ontology and the imported term name. However, this should be over-rideable.

The imported term will have the same name as the original term. They are implicitly identical to each other. The most common use of imports will be to slurp in the "core" ontology so that operations such as `is-a` and `has-a` are available.

Since:
  1.4
Author:
  Thomas Down, Matthew Pocock

Nested Class Summary
`static class` | `RemoteTerm.Impl` Simple in-memory implementation of a remote ontology term.

Nested classes/interfaces inherited from interface org.biojava.bio.Annotatable
`Annotatable.AnnotationForwarder`

Field Summary

Fields inherited from interface org.biojava.ontology.Term
`ONTOLOGY`

Fields inherited from interface org.biojava.bio.Annotatable
`ANNOTATION`

Method Summary
`Term` | `getRemoteTerm()` Return the imported term

Methods inherited from interface org.biojava.ontology.Term
`addSynonym, getDescription, getName, getOntology, getSynonyms, removeSynonym`

Methods inherited from interface org.biojava.bio.Annotatable
`getAnnotation`

Methods inherited from interface org.biojava.utils.Changeable
`addChangeListener, addChangeListener, isUnchanging, removeChangeListener, removeChangeListener`

Method Detail

### getRemoteTerm

    Term getRemoteTerm()

  Return the imported term

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD